package view;

import dao.merchantsAbstractDAO;
import dao.specification.merchantsDAO;
import entities.Merchants;
import util.Toolset;

import java.util.Scanner;

public class MerchantsView {
    //商家数据库操作
    protected static void merchantsDB(int chose) throws IllegalAccessException {
        int flag;
        Merchants merchants;
        Scanner reader = new Scanner(System.in);
        switch (chose) {
            case 0 -> System.exit(0);
            case 1 -> {//@TODO 输入格式化 不换行
                merchantsAbstractDAO DML_insert = new merchantsDAO();
                System.out.println("请输入：店铺名字|地址|描述|电话");
                merchants = new Merchants(reader.nextLine(), reader.nextLine(), reader.nextLine(), reader.nextLine());
                flag = DML_insert.insert(merchants);
                System.out.println(flag + "行受影响");
            }
            case 2 -> {
                merchantsAbstractDAO DML_delete = new merchantsDAO();
                merchants = new Merchants();

                System.out.println("请输入你要删除的ID");
                merchants.setId(reader.nextLong());

                flag = DML_delete.delete(merchants);
                System.out.println(flag + "行受影响");
            }
            case 3 -> {//@FIXME update没有传值
                merchantsAbstractDAO DML_update = new merchantsDAO();
                merchants = new Merchants();
                flag = DML_update.update(merchants);
                System.out.println(flag + "行受影响");
            }
            case 4 -> {
                merchantsAbstractDAO DQL_all = new merchantsDAO();
                merchants = new Merchants();
                //格式化输出
                for (Merchants item : DQL_all.search(merchants)) {
                    System.out.println(Toolset.table(Merchants.class, item));
                }

            }
            case 5 -> {
                merchantsAbstractDAO DQL_ID = new merchantsDAO();
                new Merchants();
                System.out.println("请输入你要查询的ID:");
                merchants = DQL_ID.searchID(reader.nextLong());
                //格式化输出
                System.out.println(Toolset.table(Merchants.class, merchants));
            }
        }
    }

}
